import IClient from '../types/client';
import IConfiguration from '../types/configuration';
import Application from '../types/input/application';
import AnalyticsEventsRepository from './repositories/analytics-events';
import BrowserExtensionRepository from './repositories/browser-extension';
import ClientSidePreferencesRepository from './repositories/client-side-preferences';
import CustomAttributesRepository from './repositories/custom-attributes';
import PermissionsRepository from './repositories/permissions';
import PreferredRecordingsRepository from './repositories/preferred-recordings';
import PronunciationsRepository from './repositories/pronunciations';
import AvatarsRepository from './repositories/avatars';
export default class Client implements IClient {
    readonly pronunciations: PronunciationsRepository;
    readonly analyticsEvents: AnalyticsEventsRepository;
    readonly browserExtension: BrowserExtensionRepository;
    readonly permissions: PermissionsRepository;
    readonly clientPreferences: ClientSidePreferencesRepository;
    readonly customAttributes: CustomAttributesRepository;
    readonly preferredRecordings: PreferredRecordingsRepository;
    readonly avatars: AvatarsRepository;
    readonly application: Application;
    constructor(application: Application, configuration: IConfiguration);
}
